<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (17) on Sat Jun 11 22:07:23 CEST 2022 -->
<title>Regles</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-06-11">
<meta name="description" content="declaration: module: ihm.javafx, package: back.regles, class: Regles">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../module-summary.html">Module</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="module-label-in-type">Module</span>&nbsp;<a href="../../module-summary.html">ihm.javafx</a></div>
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">back.regles</a></div>
<h1 title="Class Regles" class="title">Class Regles</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">back.regles.Regles</div>
</div>
<section class="class-description" id="class-description">
<dl class="notes">
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="reglecartechangementdesens/RegleCarteChangementDeSensSurCarteChangementDeSens.html" title="class in back.regles.reglecartechangementdesens">RegleCarteChangementDeSensSurCarteChangementDeSens</a></code>, <code><a href="reglecartechangementdesens/RegleCarteChangementDeSensSurCarteCouleur.html" title="class in back.regles.reglecartechangementdesens">RegleCarteChangementDeSensSurCarteCouleur</a></code>, <code><a href="reglecartechangementdesens/RegleCarteChangementDeSensSurCartePasser.html" title="class in back.regles.reglecartechangementdesens">RegleCarteChangementDeSensSurCartePasser</a></code>, <code><a href="reglecartechangementdesens/RegleCarteChangementDeSensSurCartePlus2.html" title="class in back.regles.reglecartechangementdesens">RegleCarteChangementDeSensSurCartePlus2</a></code>, <code><a href="reglecartechangementdesens/RegleCarteChangementDeSensSurCartePlus4.html" title="class in back.regles.reglecartechangementdesens">RegleCarteChangementDeSensSurCartePlus4</a></code>, <code><a href="reglecartechangementdesens/RegleCarteChangementDeSensSurCarteSimple.html" title="class in back.regles.reglecartechangementdesens">RegleCarteChangementDeSensSurCarteSimple</a></code>, <code><a href="reglecartecouleur/RegleCarteCouleurSurCarteChangementDeSens.html" title="class in back.regles.reglecartecouleur">RegleCarteCouleurSurCarteChangementDeSens</a></code>, <code><a href="reglecartecouleur/RegleCarteCouleurSurCarteCouleur.html" title="class in back.regles.reglecartecouleur">RegleCarteCouleurSurCarteCouleur</a></code>, <code><a href="reglecartecouleur/RegleCarteCouleurSurCartePasser.html" title="class in back.regles.reglecartecouleur">RegleCarteCouleurSurCartePasser</a></code>, <code><a href="reglecartecouleur/RegleCarteCouleurSurCartePlus2.html" title="class in back.regles.reglecartecouleur">RegleCarteCouleurSurCartePlus2</a></code>, <code><a href="reglecartecouleur/RegleCarteCouleurSurCartePlus4.html" title="class in back.regles.reglecartecouleur">RegleCarteCouleurSurCartePlus4</a></code>, <code><a href="reglecartecouleur/RegleCarteCouleurSurCarteSimple.html" title="class in back.regles.reglecartecouleur">RegleCarteCouleurSurCarteSimple</a></code>, <code><a href="reglecartepasser/RegleCartePasserSurCarteChangementDeSens.html" title="class in back.regles.reglecartepasser">RegleCartePasserSurCarteChangementDeSens</a></code>, <code><a href="reglecartepasser/RegleCartePasserSurCarteCouleur.html" title="class in back.regles.reglecartepasser">RegleCartePasserSurCarteCouleur</a></code>, <code><a href="reglecartepasser/RegleCartePasserSurCartePasser.html" title="class in back.regles.reglecartepasser">RegleCartePasserSurCartePasser</a></code>, <code><a href="reglecartepasser/RegleCartePasserSurCartePlus2.html" title="class in back.regles.reglecartepasser">RegleCartePasserSurCartePlus2</a></code>, <code><a href="reglecartepasser/RegleCartePasserSurCartePlus4.html" title="class in back.regles.reglecartepasser">RegleCartePasserSurCartePlus4</a></code>, <code><a href="reglecartepasser/RegleCartePasserSurCarteSimple.html" title="class in back.regles.reglecartepasser">RegleCartePasserSurCarteSimple</a></code>, <code><a href="reglecarteplus2/RegleCartePlus2SurCarteChangementDeSens.html" title="class in back.regles.reglecarteplus2">RegleCartePlus2SurCarteChangementDeSens</a></code>, <code><a href="reglecarteplus2/RegleCartePlus2SurCarteCouleur.html" title="class in back.regles.reglecarteplus2">RegleCartePlus2SurCarteCouleur</a></code>, <code><a href="reglecarteplus2/RegleCartePlus2SurCartePasser.html" title="class in back.regles.reglecarteplus2">RegleCartePlus2SurCartePasser</a></code>, <code><a href="reglecarteplus2/RegleCartePlus2SurCartePlus2.html" title="class in back.regles.reglecarteplus2">RegleCartePlus2SurCartePlus2</a></code>, <code><a href="reglecarteplus2/RegleCartePlus2SurCartePlus4.html" title="class in back.regles.reglecarteplus2">RegleCartePlus2SurCartePlus4</a></code>, <code><a href="reglecarteplus2/RegleCartePlus2SurCarteSimple.html" title="class in back.regles.reglecarteplus2">RegleCartePlus2SurCarteSimple</a></code>, <code><a href="reglecarteplus4/RegleCartePlus4SurCarteChangementDeSens.html" title="class in back.regles.reglecarteplus4">RegleCartePlus4SurCarteChangementDeSens</a></code>, <code><a href="reglecarteplus4/RegleCartePlus4SurCarteCouleur.html" title="class in back.regles.reglecarteplus4">RegleCartePlus4SurCarteCouleur</a></code>, <code><a href="reglecarteplus4/RegleCartePlus4SurCartePasser.html" title="class in back.regles.reglecarteplus4">RegleCartePlus4SurCartePasser</a></code>, <code><a href="reglecarteplus4/RegleCartePlus4SurCartePlus2.html" title="class in back.regles.reglecarteplus4">RegleCartePlus4SurCartePlus2</a></code>, <code><a href="reglecarteplus4/RegleCartePlus4SurCartePlus4.html" title="class in back.regles.reglecarteplus4">RegleCartePlus4SurCartePlus4</a></code>, <code><a href="reglecarteplus4/RegleCartePlus4SurCarteSimple.html" title="class in back.regles.reglecarteplus4">RegleCartePlus4SurCarteSimple</a></code>, <code><a href="reglecartesimple/RegleCarteSimpleSurCarteChangementDeSens.html" title="class in back.regles.reglecartesimple">RegleCarteSimpleSurCarteChangementDeSens</a></code>, <code><a href="reglecartesimple/RegleCarteSimpleSurCarteCouleur.html" title="class in back.regles.reglecartesimple">RegleCarteSimpleSurCarteCouleur</a></code>, <code><a href="reglecartesimple/RegleCarteSimpleSurCartePasser.html" title="class in back.regles.reglecartesimple">RegleCarteSimpleSurCartePasser</a></code>, <code><a href="reglecartesimple/RegleCarteSimpleSurCartePlus2.html" title="class in back.regles.reglecartesimple">RegleCarteSimpleSurCartePlus2</a></code>, <code><a href="reglecartesimple/RegleCarteSimpleSurCartePlus4.html" title="class in back.regles.reglecartesimple">RegleCarteSimpleSurCartePlus4</a></code>, <code><a href="reglecartesimple/RegleCarteSimpleSurCarteSimple.html" title="class in back.regles.reglecartesimple">RegleCarteSimpleSurCarteSimple</a></code></dd>
</dl>
<hr>
<div class="type-signature"><span class="modifiers">public abstract class </span><span class="element-name type-name-label">Regles</span>
<span class="extends-implements">extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span></div>
<div class="block">Chaine de responsabilite representant les regles du jeu.</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(back.regles.Regles)" class="member-name-link">Regles</a><wbr>(<a href="Regles.html" title="class in back.regles">Regles</a>&nbsp;suivant)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab3" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab3', 3)" class="table-tab">Abstract Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code>abstract void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="#regler(back.joueur.Joueur,back.carte.Carte,back.carte.Carte)" class="member-name-link">regler</a><wbr>(<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur,
 <a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteJoueur,
 <a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteTas)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3">
<div class="block">Regarde si la carte poser respecte les regles du jeu et la pose si c'est le cas,
 renvoie une CoupInterditException sinon.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code>abstract boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3"><code><a href="#saitRegler(back.joueur.Joueur,back.carte.Carte,back.carte.Carte)" class="member-name-link">saitRegler</a><wbr>(<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur,
 <a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteJoueur,
 <a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteTas)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab3">
<div class="block">Renvoie true si la regle peut traiter la pose de la carte du joueur sur
 le tas, false sinon.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setJoueurSuivantCartePasser()" class="member-name-link">setJoueurSuivantCartePasser</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setJoueurSuivantCartePlus2()" class="member-name-link">setJoueurSuivantCartePlus2</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setJoueurSuivantCartePlus4()" class="member-name-link">setJoueurSuivantCartePlus4</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#setJoueurSuivantCarteSimpleCarteCouleurCarteChangementDeSens()" class="member-name-link">setJoueurSuivantCarteSimpleCarteCouleurCarteChangementDeSens</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">&nbsp;</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#traiter(back.joueur.Joueur,back.carte.Carte,back.carte.Carte)" class="member-name-link">traiter</a><wbr>(<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur,
 <a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteJoueur,
 <a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteTas)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">La fonction traiter() parcours la liste Ã  la recherche d'un maillon qui sait comment parser
 la ligne.</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(back.regles.Regles)">
<h3>Regles</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">Regles</span><wbr><span class="parameters">(<a href="Regles.html" title="class in back.regles">Regles</a>&nbsp;suivant)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="setJoueurSuivantCarteSimpleCarteCouleurCarteChangementDeSens()">
<h3>setJoueurSuivantCarteSimpleCarteCouleurCarteChangementDeSens</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setJoueurSuivantCarteSimpleCarteCouleurCarteChangementDeSens</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setJoueurSuivantCartePlus4()">
<h3>setJoueurSuivantCartePlus4</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setJoueurSuivantCartePlus4</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setJoueurSuivantCartePlus2()">
<h3>setJoueurSuivantCartePlus2</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setJoueurSuivantCartePlus2</span>()</div>
</section>
</li>
<li>
<section class="detail" id="setJoueurSuivantCartePasser()">
<h3>setJoueurSuivantCartePasser</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">setJoueurSuivantCartePasser</span>()</div>
</section>
</li>
<li>
<section class="detail" id="traiter(back.joueur.Joueur,back.carte.Carte,back.carte.Carte)">
<h3>traiter</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">traiter</span><wbr><span class="parameters">(<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur,
 <a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteJoueur,
 <a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteTas)</span>
             throws <span class="exceptions"><a href="RegleException.html" title="class in back.regles">RegleException</a>,
<a href="../exception/CoupInterditException.html" title="class in back.exception">CoupInterditException</a></span></div>
<div class="block">La fonction traiter() parcours la liste Ã  la recherche d'un maillon qui sait comment parser
 la ligne. Dans ce cas la ligne est parsÃ©e et la recherche s'arrÃªte.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>joueur</code> - le joueur qui pose une carte.</dd>
<dd><code>carteJoueur</code> - la carte posee.</dd>
<dd><code>carteTas</code> - la carte du tas.</dd>
<dt>Throws:</dt>
<dd><code><a href="RegleException.html" title="class in back.regles">RegleException</a></code> - est lancee s'il n'existe pas de regles pour ce coup.</dd>
<dd><code><a href="../exception/CoupInterditException.html" title="class in back.exception">CoupInterditException</a></code> - est lancee si le coup est illegal.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="saitRegler(back.joueur.Joueur,back.carte.Carte,back.carte.Carte)">
<h3>saitRegler</h3>
<div class="member-signature"><span class="modifiers">public abstract</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">saitRegler</span><wbr><span class="parameters">(<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur,
 <a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteJoueur,
 <a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteTas)</span></div>
<div class="block">Renvoie true si la regle peut traiter la pose de la carte du joueur sur
 le tas, false sinon.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>joueur</code> - le joueur qui pose une carte.</dd>
<dd><code>carteJoueur</code> - la carte posee.</dd>
<dd><code>carteTas</code> - la carte du tas.</dd>
<dt>Returns:</dt>
<dd>true si on peut regler cette pose de carte, false sinon.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="regler(back.joueur.Joueur,back.carte.Carte,back.carte.Carte)">
<h3>regler</h3>
<div class="member-signature"><span class="modifiers">public abstract</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">regler</span><wbr><span class="parameters">(<a href="../joueur/Joueur.html" title="class in back.joueur">Joueur</a>&nbsp;joueur,
 <a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteJoueur,
 <a href="../carte/Carte.html" title="class in back.carte">Carte</a>&nbsp;carteTas)</span>
                     throws <span class="exceptions"><a href="../exception/CoupInterditException.html" title="class in back.exception">CoupInterditException</a></span></div>
<div class="block">Regarde si la carte poser respecte les regles du jeu et la pose si c'est le cas,
 renvoie une CoupInterditException sinon.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>joueur</code> - le joueur qui pose une carte.</dd>
<dd><code>carteJoueur</code> - la carte posÃ©e.</dd>
<dd><code>carteTas</code> - la carte du tas.</dd>
<dt>Throws:</dt>
<dd><code><a href="../exception/CoupInterditException.html" title="class in back.exception">CoupInterditException</a></code> - est lancee si le coup est illegal.</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
